Bug 2064987 - electrum-4.2.0 version is available
Summary: electrum-4.2.0 version is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: electrum
Version: 35
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Henrik Nordström
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1697393
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-03-17 03:25 UTC by Anton Kochkov
Modified: 2022-05-07 04:28 UTC (History)
3 users (show)

Fixed In Version: electrum-4.2.1-2.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-07 04:28:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Anton Kochkov 2022-03-17 03:25:23 UTC
# Release 4.2.0 - (March 16, 2022)
 * The minimum python version was increased to 3.8 (#7661)
 * Lightning:
   - redesigned MPP splitting algorithm (#7202)
   - trampoline: implement multi-trampoline MPP (#7623)
   - implement option_shutdown_anysegwit, and allow dust limits
     below 546 sat (#7542)
   - implement option_channel_type (#7636)
   - implement modern closing negotiation (#7586, #7680)
 * improve support for "lightning:" URIs on all platforms (#7301)
 * Qt GUI:
   - add setting "show amounts with msat precision" (5891e039)
   - add setting "add thousand separators to bitcoin amounts" (#7427)
 * CLI/RPC:
   - implement Unix sockets and make them the default (#7545, #7566)
   - add "bumpfee" command (#7438)
 * Kivy GUI:
   - show network setup on first start before wallet creation (#7464)
   - add "Child Pays For Parent" option (#7487)
   - improved locale handling (22bb52d5, 7cb11ced, 4293d6ec)
 * Hardware wallets:
   - trezor: bump trezorlib to 0.13 (#7590)
   - bitbox02: bump bitbox02 to 6.0, support send-to-taproot (#7693)
   - ledger: support "Ledger Nano S Plus" (#7692)
 * Library:
   - added support for sighash types beside "ALL" (#7453)
   - signmessage: also accept Trezor-type sigs for segwit addrs (#7668)
   - network: make request timeout configurable (#7696)
   - paytomany (onchain txout batching) now allows multiple max("!")
     amounts with specified weights (#7492)
 * Lots of other minor bugfixes and usability improvements.


https://github.com/spesmilo/electrum/blob/master/RELEASE-NOTES

https://github.com/spesmilo/electrum/releases/tag/4.2.0

Comment 1 Jonathan S. 2022-03-27 16:59:58 UTC
I created a PR here:

https://src.fedoraproject.org/rpms/electrum/pull-request/1

This requires a newer aiorpcx, for which I also created a PR here:

https://src.fedoraproject.org/rpms/python-aiorpcx/pull-request/2

Comment 2 Jonathan S. 2022-03-28 08:07:53 UTC
Without this update, a Trezor hardware wallet cannot be used on Fedora 36, so it would be important to get this in before Fedora 36 to not break users. The reason for this being that python-trezorlib was updated, but the newer version no longer works with the old Electrum currently in Fedora 36.

Comment 3 Jonny Heggheim 2022-03-28 09:32:23 UTC
https://src.fedoraproject.org/rpms/python-aiorpcx/pull-request/2 for rawhide + build, but not for other branches.

Comment 4 Jonny Heggheim 2022-03-28 09:33:48 UTC
* I have Merged

Comment 5 Jonny Heggheim 2022-03-29 20:34:29 UTC
What Fedora versions do you intend to upgrade Electrum for?

Comment 6 Jonathan S. 2022-04-01 09:23:49 UTC
F36 should definitely be updated, as currently Electrum there is broken due to too new trezorlib.

Comment 7 Henrik Nordström 2022-04-12 20:04:11 UTC
New version is in rawhide.

https://koji.fedoraproject.org/koji/buildinfo?buildID=1948347

Comment 8 Henrik Nordström 2022-04-12 20:06:26 UTC
For f36 the depencencies needs to be resolved first. This is a very picky package, requiring very specific dependencies.

Comment 9 Jonathan S. 2022-04-12 22:25:02 UTC
For F36, all dependencies are at the right version except for python-aiorpcx-0.22.1, which was held back until Electrum is updated.

Can you two coordinate to push both to F36 beta on the same day? I don't think it's possible to push two packages at once if they have different maintainers, is it?

Comment 10 Henrik Nordström 2022-04-13 02:25:05 UTC
Coordinated build & push is best done using a sidetag (the better alternative to a buildroot override), but never tried with packages having completly different maintainers.

Comment 11 Jonny Heggheim 2022-04-13 07:37:45 UTC
python-aiorpcx-0.22.1-1.fc36 is being built now: https://koji.fedoraproject.org/koji/taskinfo?taskID=85599483

Comment 12 Jonny Heggheim 2022-04-13 07:48:52 UTC
(In reply to Henrik Nordström from comment #10)
> Coordinated build & push is best done using a sidetag (the better
> alternative to a buildroot override), but never tried with packages having
> completly different maintainers.

I have never used side-tags before, just let me know if you want it for Fedora 36.

As a side note, the requires for Electrum 4.2.1 is:
(python3.10dist(aiorpcx) < 0.23~~ with python3.10dist(aiorpcx) >= 0.22)

and Electrum 4.1.5 is:

(python3.10dist(aiorpcx) < 0.19 with python3.10dist(aiorpcx) >= 0.18.7)

So that there will be no breakage, only a delay in case Electrum is updated later, so I feel like pushing python-aiorpcx-0.22.1-1.fc36 to testing.


As a side note, I think both of you should have access to python-aiorpcx, I will send an email to the maintainer (since I do not have admin access)

Comment 13 Jonny Heggheim 2022-04-13 08:35:43 UTC
The build failed, so I am rebuild with side tag:

Build Target: f36-build-side-52728

https://koji.fedoraproject.org/koji/taskinfo?taskID=85601656

Comment 14 Jonny Heggheim 2022-04-19 18:48:36 UTC
I gave up waiting for other builds on the same tag, not sure how it works. Added python-aiorpcx-0.22.1-1.fc36 to bodhi https://bodhi.fedoraproject.org/updates/FEDORA-2022-519cc9c62b

Could you update Electrum 4.2.1 for Fedora 36?

Comment 15 Jonny Heggheim 2022-04-19 18:49:23 UTC
Re-open since Electrum is broken on Fedora 36.

Comment 16 Jonathan S. 2022-04-20 09:11:17 UTC
F36 is coming closer, and if nothing happens, the upgrade to F36 will just break Electrum and make people panic they lost their money.

Can we please get this pushed? I'm more than happy to push it to testing as a single update if I get push rights for both Electrum and aiorpcx - I just want to see this fixed before F36 releases.

Comment 17 Henrik Nordström 2022-04-21 19:33:09 UTC
f36 build scheduled

https://koji.fedoraproject.org/koji/taskinfo?taskID=86042481

Comment 18 Fedora Update System 2022-04-21 19:43:13 UTC
FEDORA-2022-cad70c87fc has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-cad70c87fc

Comment 19 Fedora Update System 2022-04-22 05:59:37 UTC
FEDORA-2022-cad70c87fc has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-cad70c87fc`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-cad70c87fc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2022-05-07 04:28:56 UTC
FEDORA-2022-cad70c87fc has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.